petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatSolves

Solves A x = b, given a factored matrix, for a collection of vectors

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSolves(Mat mat,Vecs b,Vecs x)

Neighbor-wise Collective on Mat and Vecs

### Input Parameters

| mat | - the factored matrix
| b | - the right-hand-side vectors

### Output Parameter

x -the result vectors

### Notes

The vectors b and x cannot be the same. I.e., one cannot call MatSolves(A,x,x).

### Notes

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatSolveAdd(), MatSolveTranspose(), MatSolveTransposeAdd(), MatSolve()

### Level

developer

### Location

src/mat/interface/matrix.c

### Implementations

MatSolves_SeqSBAIJ_1 in src/mat/impls/sbaij/seq/sbaijfact2.c
MatSolves_SeqSBAIJ_1_inplace in src/mat/impls/sbaij/seq/sbaijfact2.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages